+++
title = 'Intro'
date = 2024-01-11T17:48:10-05:00
draft = false
tags = ["Intro"]
+++

![freebsd daemon holding a trans flag instead of their usual trident](/freebsdTrans.png "freebsd daemon holding a trans flag instead of their usual trident")

## hey hey

My name's violet, although i spell it violette in french. I am a student in
computer science just about to graduate with a mastery degree in Sherbrooke's
University, Québec, as well as an engineering degree in Polytech Annecy,
France.

This site is here to share everyday's stuff, as well as important notes for
people close to me.

I really like low level stuff, and see how a computer works at its heart, from
a software perspective. I like sneaking around and go see how stuff works in
Linux, FreeBSD, or even some BIOSes (i own a librebooted X200, and regularly
"play" (or heavily complain) with Seabios).

On my free time, i like to play guitar, and listen to music (Sherbrooke has an
amazing live Jazz scene!), rock climbing and taking pictures. I'm not remotely
close to being good at any of this things, but i enjoy practicing them
nonetheless.

## This website somewhat sucks
But i like it! I really enjoy doing simple stuff, and when those things are
efficient and performant. Therefore, i won't be using JavaScript or anything
like that.

Also, since i like playing with old tech, i want my services to be accessible
to as many devices as possible, without making them or their user suffer
(remember the X200? yeah browsing web on it sucks ; most website require JS and
load tones of stuff, uselessly draining its battery).

### dark theme
There's a dark theme that loads along your preferences set in your browser. If
you chose dark theme there, everything *should* play nicely with it here.
However, if you wanna switch, there's still a button **BUT** since i don't use
JS, i cant store your preferences, so it reset at each page change. Sorry!

### Languages
Im french, and i will try to translate pages (but we both know im lazy and will
not do it quick) in English and french. There will be some specific for fr/en
tho, since some are write-up for me / friends / family, and would have no
purpose once translated.

## Services
I have a git server here running Forgejo
[git](https://git.violette.town/violette), Once Forgejo has federation i guess
i'll be able to contribute to other people projects? Anyway, i also have a
matrix server along with its QoL stuff (turn + ntfy) and a couple of mail
servers. Since i operate myself those things (and there's no backup) stuff has
and will fail from time to time. I'm still learning :)  (its getting better i
swear)

## Contacts
There's the stuff i use to talk to people:
* mail: `vi@violette.town`
* matrix (\~personal): `@violette:bigblase.xyz`
* Fediverse (personal++): [`@violets@tech.lgbt`](https://tech.lgbt/@violets)

## "Professional"
* [CV](https://git.violette.town/violette/cv/raw/branch/typst/main_public.pdf)!
    * CV as a manpage for nerds:  
        `curl -O --output-dir /tmp https://git.violette.town/violette/cv/raw/branch/typst/violette.manpage.1.gz && man /tmp/violette.manpage.1.gz`
* git: [violette.town](https://git.violette.town/violette)
* github (old): [@thebigblase](https://github.com/thebigblase)

well that's pretty much it! i'll see you around :)
